Debian Bug report logs - #617460
pu: package zoneminder/1.24.2-8

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Vagrant Cascadian <vagrant@debian.org>

Date: Wed, 9 Mar 2011 03:57:01 UTC

Severity: normal

Tags: squeeze

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, 614404@bugs.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#617460; Package release.debian.org. (Wed, 09 Mar 2011 03:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@debian.org>:
New Bug report received and forwarded. Copy sent to 614404@bugs.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Wed, 09 Mar 2011 03:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package zoneminder/1.24.2-8
Date: Tue, 8 Mar 2011 19:53:26 -0800
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

i'd like to upload a new version of zoneminder to squeeze in order to fix
#614404, which causes a wide variety of IP cameras to fail on the amd64
architecture.

in the bug report there is a patch that i've tested that fixes the problem,
although also generates numerous new compiler warnings. as best i can tell, the
warnings do not appear to actually cause a problem.


live well,
  vagrant




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#617460; Package release.debian.org. (Wed, 09 Mar 2011 22:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 09 Mar 2011 22:03:08 GMT) Full text and rfc822 format available.

Message #10 received at 617460@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Vagrant Cascadian <vagrant@debian.org>, 617460@bugs.debian.org
Subject: Re: Bug#617460: pu: package zoneminder/1.24.2-8
Date: Wed, 09 Mar 2011 22:00:49 +0000
On Tue, 2011-03-08 at 19:53 -0800, Vagrant Cascadian wrote:
> i'd like to upload a new version of zoneminder to squeeze in order to fix
> #614404, which causes a wide variety of IP cameras to fail on the amd64
> architecture.
> 
> in the bug report there is a patch that i've tested that fixes the problem,
> although also generates numerous new compiler warnings. as best i can tell, the
> warnings do not appear to actually cause a problem.

From the version information in the bug report, it looks like this also
affects unstable and testing, but hasn't been fixed in unstable yet?  If
that's correct then please apply the patch in unstable and, assuming no
further issues arise as a result, we can then look at applying it in
stable; I suspect that may be too late for 6.0.1 though.

Regards,

Adam





Added tag(s) squeeze. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Fri, 13 May 2011 23:54:09 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 617460: 614404 Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Fri, 13 May 2011 23:54:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#617460; Package release.debian.org. (Sun, 22 Jan 2012 18:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 22 Jan 2012 18:21:03 GMT) Full text and rfc822 format available.

Message #19 received at 617460@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Vagrant Cascadian <vagrant@debian.org>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 617460@bugs.debian.org, Peter Howard <pjh@northern-ridge.com.au>
Subject: Re: Processed: tagging 617460, block 617460 with 614404
Date: Sun, 22 Jan 2012 19:19:41 +0100
[Message part 1 (text/plain, inline)]
Hi Vagrant,

Debian Bug Tracking System <owner@bugs.debian.org> (13/05/2011):
> Processing commands for control@bugs.debian.org:
> 
> > tags 617460 + squeeze
> Bug #617460 [release.debian.org] pu: package zoneminder/1.24.2-8
> Added tag(s) squeeze.
> > block 617460 with 614404
> Bug #617460 [release.debian.org] pu: package zoneminder/1.24.2-8
> Was not blocked by any bugs.
> Added blocking bug(s) of 617460: 614404
> > thanks
> Stopping processing here.

the merge window for 6.0.4 closed today, so I'd like to know whether
this update should be considered for 6.0.5. The blocking bug, 614404,
seems to be closed now, so maybe we could get things going for the next
point release? Or are the changes too intrusive to be backported to
squeeze?

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#617460; Package release.debian.org. (Mon, 23 Jan 2012 17:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 23 Jan 2012 17:03:05 GMT) Full text and rfc822 format available.

Message #24 received at 617460@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 617460@bugs.debian.org, Peter Howard <pjh@northern-ridge.com.au>, 614404@bugs.debian.org
Subject: Re: Processed: tagging 617460, block 617460 with 614404
Date: Mon, 23 Jan 2012 09:00:22 -0800
On Sun, Jan 22, 2012 at 07:19:41PM +0100, Cyril Brulebois wrote:
> Debian Bug Tracking System <owner@bugs.debian.org> (13/05/2011):
> > Processing commands for control@bugs.debian.org:
> > 
> > > tags 617460 + squeeze
> > Bug #617460 [release.debian.org] pu: package zoneminder/1.24.2-8
> > Added tag(s) squeeze.
> > > block 617460 with 614404
> > Bug #617460 [release.debian.org] pu: package zoneminder/1.24.2-8
> > Was not blocked by any bugs.
> > Added blocking bug(s) of 617460: 614404
> > > thanks
> > Stopping processing here.
> 
> the merge window for 6.0.4 closed today, so I'd like to know whether
> this update should be considered for 6.0.5. The blocking bug, 614404,
> seems to be closed now, so maybe we could get things going for the next
> point release? Or are the changes too intrusive to be backported to
> squeeze?

thanks for checking in.

the changes are a bit too intrusive with the new upstream versions- there are
no specific series of patches that fixed it upstream, and the patch (for the
version in squeeze) didn't really work well for me, although others report that
amd64 works fine for them even without the patch, so maybe bug #614404 should
be downgraded to important.

perhaps we should close 617460, as i don't see a fix in the near future...

i might try to upload 1.25.0 when it hits testing to backports.debian.org as a
workaround, for those who need it...


live well,
  vagrant




Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Mon, 23 Jan 2012 17:51:06 GMT) Full text and rfc822 format available.

Notification sent to Vagrant Cascadian <vagrant@debian.org>:
Bug acknowledged by developer. (Mon, 23 Jan 2012 17:51:06 GMT) Full text and rfc822 format available.

Message #29 received at 617460-done@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Vagrant Cascadian <vagrant@debian.org>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 617460-done@bugs.debian.org, Peter Howard <pjh@northern-ridge.com.au>, 614404@bugs.debian.org
Subject: Re: Processed: tagging 617460, block 617460 with 614404
Date: Mon, 23 Jan 2012 18:49:58 +0100
[Message part 1 (text/plain, inline)]
Vagrant Cascadian <vagrant@debian.org> (23/01/2012):
> thanks for checking in.

No problem.

> the changes are a bit too intrusive with the new upstream versions- there are
> no specific series of patches that fixed it upstream, and the patch (for the
> version in squeeze) didn't really work well for me, although others report that
> amd64 works fine for them even without the patch, so maybe bug #614404 should
> be downgraded to important.
> 
> perhaps we should close 617460, as i don't see a fix in the near future...

That was my (outsider) feeling. Let's do that then. Thanks.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 21 Feb 2012 07:36:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 18:45:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.